#!/bin/bash
location="`geocode -s yahoo -a APIKEY $2 | sed '/latitude/!d; s/latitude: //; s/ longitude: //;'`"
latitude="`echo $location | sed 's/,.*//'`"
longitude="`echo $location | sed 's/.*,//'`"
lonref="E"
latref="N"
if [[ $latitude == -* ]]
then
  	latref="W"
fi
if [[ $longitude == -* ]]
then
	lonref="S"
fi
exiftool -exif:gpslatitude="$latitude" -exif:gpslongitude="$longitude" \
	-exif:gpslatituderef="$latref" -exif:gpslongituderef="$lonref" $1
